<?php

namespace Eater\Glim\Model;

use Eater\Glim\Model\Base\Certificate as BaseCertificate;

/**
 * Skeleton subclass for representing a row from the 'Certificate' table.
 *
 *
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 */
class Certificate extends BaseCertificate
{
    /**
     * @return bool
     */
    public function hasPrivateKey()
    {
        $privateKey = $this->getPrivateKey();
        return !empty($privateKey);
    }
}
